/*
  This is a sample of the basic alarm code.
 */

int sensorPin = 7;      //set the sensor to connect to pin 7
int flashPin = 13;      //an LED that lights up when the alarm sounds
int buzzerPin = 3;      //Set buzzer to connect to pin 3
int Status = 0;            //set arm value to 0, 0=exit delay, 1=armed, 2=triggered.    
int sensor = 0;         //set sensor value to 0


void setup() {
  // initialize digital pins as output and input.
  pinMode(sensorPin, INPUT);
  pinMode(flashPin, OUTPUT);
  pinMode (buzzerPin, OUTPUT); 
}
void loop() {
 if (Status == 0)                  //check to see if this is the first time through the loop. arm=0 is in the declaration so first time it should do the next 5 commands
  {                                 //the sketch will do all the commands between this { and the } if arm-0  
  delay (3000);                     //this delay gives you 5 seconds to close the box
  tone(buzzerPin,725,40);           //this gives a short beep to indicate it is armed
  delay (200);                      //short gap
  tone(buzzerPin,725,40);           //another short beep gives it a double beep sound.
  Status=1;                         //sets the value of arm to 1 so it doesn't do this loop again 
    }    
 if (Status==1){
   sensor = digitalRead(sensorPin);   //this reads the sensorpin value Copper tape to see if it has detected an intrusion. the ldr value = sensor
  }
  
 if (sensor==0)                 //this tests to see if the box has been opened. If it has it follows the commands between { and } 
  {
    Status=2;
    }
 if (Status == 2)
  {
    digitalWrite(flashPin,1);       //turns on the led
    tone(buzzerPin,725,1000);        //Insert a tune here 
    delay (1000);
    tone(buzzerPin,330,1000);
    delay (1000);
      }
}   //end of loop so the sketch goes back to the beginning of the loop.
